I really need help with this

Discussion in 'Spigot Plugin Development' started by SnapchatDev, May 10, 2016.

Thread Status:
Not open for further replies.
  1. Someone help me fix this please

    [21:18:44 ERROR]: Error occurred while enabling HCFCore v1.0 (Is it up to date?)
    java.lang.NullPointerException
    at org.bukkit.ChatColor.translateAlternateColorCodes(ChatColor.java:206) ~[spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
    at com.mcspook.main.Main.translate(Main.java:382) ~[?:?]
    at com.mcspook.main.Main.onEnable(Main.java:160) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:316) ~[spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:332) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:412) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
    at org.bukkit.craftbukkit.v1_7_R4.CraftServer.loadPlugin(CraftServer.java:476) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
    at org.bukkit.craftbukkit.v1_7_R4.CraftServer.enablePlugins(CraftServer.java:394) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
    at net.minecraft.server.v1_7_R4.MinecraftServer.n(MinecraftServer.java:360) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
    at net.minecraft.server.v1_7_R4.MinecraftServer.g(MinecraftServer.java:334) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
    at net.minecraft.server.v1_7_R4.MinecraftServer.a(MinecraftServer.java:290) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
    at net.minecraft.server.v1_7_R4.DedicatedServer.init(DedicatedServer.java:210) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
    at net.minecraft.server.v1_7_R4.MinecraftServer.run(MinecraftServer.java:458) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
    at net.minecraft.server.v1_7_R4.ThreadServerApplication.run(SourceFile:628) [spigot-1.7.10-SNAPSHOT-b1657.jar:git-Spigot-1.7.9-R0.2-208-ge0f2e95]
     
  2. com.mcspook.main.Main.translate(Main.java:382)

    Something written by mcSpook is causing a null pointer, you got a plugin list?
     
  3. Would you be able to add my skype and help me

    Thats 382:
    return StringEscapeUtils.unescapeJava(ChatColor.translateAlternateColorCodes('&', input));
     
  4. i9hdkill

    i9hdkill Retired Moderator
    Retired Supporter

    Don't use HCFCore 1.0? 3.1 is the latest version for 1.7-1.8
    Btw, 1.7 is not supported anymore.
     
  5. D
    ont use 1.7/
     
    • Agree Agree x 1
  6. Using old, unsupported and nonmatching versions causes problems, dont do it.
     
  7. im willing to paY
     
    • Winner Winner x 5
    • Funny Funny x 2
  8. you don't understand how much i love you
     
    • Agree Agree x 1
    • Funny Funny x 1
  9. #JustAngelesThings
     
    • Agree Agree x 1
  10. You (or, whomever's made this) are passing a null to ChatColor#translateAlternateColorCodes
     
  11. ayy, @Angeles made an alt!
     
    • Funny Funny x 3
  12. This is @Angeles shitty one-class HCFCore ripoff, not the actual plugin. Looks like he was forced to take down the resource, so this probably is his alt, because he is an absolute imbecile and probably thinks nobody will notice or care if he tries the exact same thing again. I am just surporised his entire account was not trashcanned, since he flames anything that moves and does nothing except attempt to bootleg clearchat plugins.

    Stand by for popcorn.
     
    • Winner Winner x 1
  13. Did you know @SnapchatDev good devs like @md_5 and @Thinkofdeath update there programs for people to use. When using a old version of something or unsupported you are going to have problems. Newer versions of added features and Fixed bugs update to 1.10 or 1.9. - KingLinux01 :) Also are you the creator of this plugin? If you are not wrong section.
     
  14. Where do you download HCFCore?
     
  15. Choco

    Moderator

    I can't wait until people realize that in just a few weeks time, 1.7.10 will be 4 whole monumental versions behind :) I then laugh at the people still crying about "PVP IS RUINED"
     
    • Funny Funny x 2
    • Agree Agree x 1
  16. Pvp IS ruined though, plus you can just edit the server jar to your liking for any necessary updates so... 1.7.x = lyfe
     
    • Agree Agree x 2
    • Funny Funny x 2
  17. Cant tell if sarcasm or.... c _ c
     
    • Agree Agree x 1
  18. We can do that here up at 1.10 aswell
    And even automatically set every item to have no swing time, remove second hand and fix all other pvp flaws.
    Become one of us.
     
  19. All jokes aside, even with all of those fixes it's still just not the same. There is a very noticable change from 1.7 to 1.8 that just can't be reverted (AFAIK)
     
Thread Status:
Not open for further replies.